data2inc(1)

NAME
data2inc - Free Pascal binary to pascal include file converter.

SYNOPSIS

data2inc [-ABSVH] msgfile [incfile] [constname]

DESCRIPTION

data2inc reads a binary or text file and converts it to a pascal typed constant declaration. The constant is an array of characters (zero based), in which each character's ascii value is the value of the byte at the offset index in the binary file. (index is the index in the array). If the input file is a text file, options will be read from the file and an output file will be generated according to the options encountered.

USAGE

data2inc with the -B option accepts a filename of a binary file, and needs the name of an include file and constant name. The output is written to incfile The name of the constant constname is mandatory for a binary file.

data2inc without -B option takes the name of a message description file as input. It will process the message file and write the output as described in the message file to incfile

OPTIONS
data2inc has a small number of options to control its behaviour:

-A  Write bytes instead of characters. The constant array will be an array of byte instead of an array of char.

-B  If this option is given, the msgfile will be treated as a binary file.

-H  emit a small helptext.

-S  data2inc will write the output as an array of strings, or a 2 dimensional array of characters.

-V  Show the version number and exit.

SEE ALSO

    ppc386(1) bin2obj(1)